NSX-T Data Center REST API

Get LB node capacity

API is used to retrieve available load balancer capacity status for the
edge or virtual network appliance clusters shared with VPC.
If the parameter ?service_cluster_path=<service-cluster-path> exists,
then API only shows the available load balancer capacity status for this
specific edge cluster or virtual network appliance cluster.

NSX Load Balancer availability in terms of use-cases and editions is
specified in NSX Feature and Edition Guide. Please review before consuming
those APIs.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/vpcs/{vpc-id}/vpc-lb-node-capacity-status
Request Headers:
n/a
Query Parameters:
LBNodeCapacityRuntimeRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/orgs/default/projects/project-1/vpcs/vpc-1/vpc-lb-node-capacity-status

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
AggregateLBNodeCapacitySummary+

Example Response:

{ "results" : [ { "node_capacity_status" : [ { "form_factor" : "MEDIUM_VIRTUAL_MACHINE", "service_cluster_path" : "/infra/sites/default/enforcement-points/default/edge-clusters/bfdda9bb-1db5-4d67-92f0-40f15f76259f", "resource_type" : "LBEdgeNodeCapacity", "remaining_pool_member_count" : 2397, "remaining_small_load_balancer_count" : 7, "remaining_medium_load_balancer_count" : 0, "remaining_large_load_balancer_count" : 0, "remaining_xlarge_load_balancer_count" : 0, "node_path" : "/infra/sites/default/enforcement-points/default/edge-clusters/bfdda9bb-1db5-4d67-92f0-40f15f76259f/edge-nodes/1" } ], "enforcement_point_path" : "/infra/sites/default/enforcement-points/default" } ], "intent_path" : "/orgs/default/projects/project-1/vpcs/vpc-1/vpc-lb-node-capacity-status" }

Required Permissions:

read

Feature:

policy_statistics

Additional Errors: